<p align="center">
    <img src="https://pysimplegui.net/images/big_news_emoji.png">
    <br>
    For more information visit <a href="https://home.PySimpleGUI.com">PySimpleGUI.com</a>
</p>



##

<p align="center">
    <img height="250" src="https://pysimplegui.net/images/logos/Logo_Full_Transparent_Cropped.png">
    <h2 align="center">User Interfaces for Humans<sup>TM</sup></h2>
</p>

# Welcome to PySimpleGUI 5 !!

Do you use PySimpleGUI 4? [Here is what you need to know.](https://docs.pysimplegui.com/en/latest/readme/sunset/)

**PySimpleGUI creates desktop applications easily**, enhancing the tkinter, Qt, WxPython, and Remi frameworks with a much simpler programming interface:

1. PySimpleGUI user interfaces are defined using core Python data types (lists and dictionaries) that are easily understood by beginners.
2. PySimpleGUI event handling changes from a complex callback-based model to a simpple message passing one.
3. PySimpleGUI uses simple Python code and has no requirement for object oriented architecture.

PySimpleGUI is more than a GUI library: PySimpleGUI simplifies much of your Python development process. Sure, it makes developing user interfaces much easier, but PySimpleGUI also tames advanced Python functionality (such as threading) and makes it easy for all users to take their Python applications to the next level. PySimpleGUI is a robust toolkit.

## Introducing PySimpleGUI 5

For the last 5 years, PySimpleGUI offered free software with the hope of sustaining the
company by donations. We appreciate the support we received, but the amount has been too
small to support the PySimpleGUI project. For this reason, PySimpleGUI is switching to a
subscription model, where commercial users are expected to pay a nominal annual fee.


PySimpleGUI is now part of PySimpleSoft, Inc., whose mission is to make the best Python
application develement environment much, much better. Since launching in 2018, PySimpleGUI
has helped hobbyists and professionals alike create Python GUIs in a fraction of the time.
PySimpleGUI 5 takes PySimpleGUI to the next level, providing hundreds of improvements,
including new features, enhanced security, and priority support.


PySimpleGUI 5 is licensed software. As the [License Agreement](license.txt) explains, after a trial
period, all PySimpleGUI 5 users must register at PySimpleGUI.com to obtain a Developer Key.
For most users (Hobbyist Users), the license is at NO COST. If you are a Commercial User,
subscriptions cost a nominal $99/year.

<p align="center">
    <img height="350" src="https://github.com/PySimpleGUI/PySimpleGUI_NEW_HOME/assets/65144/0b0dabcc-a538-482b-a226-c194ae30aa24">
</p>

[Subscribe Now](https://pricing.PySimpleGUI.com) and help support the PySimpleGUI community.

## Examples

PySmipleGUI users have created thousands of amazing desktop applications. Here are a few screen shots. For more examples, see the [PySimpleGUI gallery](https://gallery.PySimpleGUI.com/).

<p align="center">
    <img height="150" src="https://github.com/PySimpleGUI/PSG5/assets/65144/c80eeaed-1029-4e22-83f9-c46fcc6916e6" />
    &nbsp;
    <img height="150" src="https://github.com/PySimpleGUI/PSG5/assets/65144/dea22a36-b330-4160-96f7-3c7fcb968977" />
    &nbsp;
    <img height="150" src="https://github.com/PySimpleGUI/PSG5/assets/65144/a9e30456-87aa-4174-90c2-c062f5cf84b9" />
</p>

## Get Started at No Cost

Whether you are a Hobbyist User or Commercial User, you can start using PySimpleGUI at no cost.
To get started with a 30-day trial period, first install Python and then

    python -m pip install pysimplegui

and run some code, like

    import PySimpleGUI as sg
    layout = [ [sg.Text('Hello, world!')] ]
    window = sg.Window('Hello Example', layout)
    while True:
        event, values = window.read()
        if event == sg.WIN_CLOSED:
            break
    window.close()

(You might need to use `python3` instead of `python`.)

You can try PySimpleGUI for 30 days, after which you will need to Sign Up. Hobbyist users sign up at no cost, and Commercial Users subscribe at $99/year. For more details, see [PySimpleGUI.com/pricing](https://pricing.PySimpleGUI.com).

## Documentation

PySimpleGUI provides extensive documentation. Here are some starting points, depending on your needs and expertise:

* [Documentation](https://docs.pysimplegui.com/) - Extensive PySimpleGUI documenation
* [Cookbook](https://cookbook.pysimplegui.com/) - Step-by-step cookbook of PySimpleGUI basics. Find a recipe that is close to what you want to build and use it as a starting point.
* [Examples](https://examples.pysimplegui.com/) - Hundreds of sample PySimpeGUI applications.
* [SDK Reference](https://sdk.pysimplegui.com/) - details for each PySimpleGUI element







